<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Siger.Middlelayer.DncRepository</name>
    </assembly>
    <members>
        <member name="T:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc">
            <summary>
            siger_project_dnc Entity Model
            </summary>   
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc.id">
            <summary>
            
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc.program_id">
            <summary>
            程序号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc.machine_id">
            <summary>
            
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc.user_id">
            <summary>
            操作者
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc.time">
            <summary>
            操作时间
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc.projectid">
            <summary>
            
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc.file_content">
            <summary>
            文件内容
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc.draw_number">
            <summary>
            
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc.action_type">
            <summary>
            0>上传 1>下载 2>删除
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc.work_code">
            <summary>
            上传人工号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc.work_name">
            <summary>
            操作人
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc.program_size">
            <summary>
            程序文件大小
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc.program_type">
            <summary>
            文件类型
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc.remarks">
            <summary>
            备注
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc.download_type">
            <summary>
            0>服务器下载 1>NC端下载
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_job_program.id_number">
            <summary>
            主键自增id
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_job_program.id">
            <summary>
            guid
            </summary>
        </member>
        <member name="T:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program">
            <summary>
            siger_project_dnc_program Entity Model
            </summary>   
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.program_code">
            <summary>
            程序号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.productid">
            <summary>
            产品id
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.createmid">
            <summary>
            创建人mid
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.createtime">
            <summary>
            创建时间
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.create_remark">
            <summary>
            创建备注
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.checkmid">
            <summary>
            审核人mid
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.checktime">
            <summary>
            审核时间
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.check_remark">
            <summary>
            审核备注
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.checkinfo">
            <summary>
            审核结果1通过2不通过
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.checkstatus">
            <summary>
            审核状态1待审核2已审核3被拒绝
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.file_url">
            <summary>
            文件路径
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.file_name">
            <summary>
            文件名称
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.projectid">
            <summary>
            
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.file_size">
            <summary>
            文件大小
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.toll_gate_code">
             <summary>
            路卡号
             </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.process_code">
            <summary>
            工序号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.machine_code">
            <summary>
            设备编号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.program_version">
            <summary>
            版本
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.guid_code">
            <summary>
            guid编号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.program_type">
            <summary>
            程序类型
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_program.program_number">
            <summary>
            子程序个数
            </summary>
        </member>
        <member name="T:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_user_power">
            <summary>
            siger_project_dnc_user_power Entity Model
            </summary>   
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_user_power.mid">
            <summary>
            
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_user_power.add_power">
            <summary>
            添加权限，默认为0
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_user_power.del_power">
            <summary>
            删除权限，默认为0
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_user_power.check_power">
            <summary>
            审核权限，默认为0
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_user_power.all_power">
            <summary>
            超级管理员，默认为0
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_user_power.createtime">
            <summary>
            创建时间
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_user_power.createmid">
            <summary>
            创建人
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_user_power.remark">
            <summary>
            备注
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_dnc_user_power.projectid">
            <summary>
            
            </summary>
        </member>
        <member name="T:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan">
            <summary>
            siger_project_product_plan Entity Model
            </summary>   
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.projectid">
            <summary>
            
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.product_id">
            <summary>
            _product 表 id
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.product_name">
            <summary>
            产品名称
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.draw_number">
            <summary>
            图纸号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.cycle_time">
            <summary>
            节拍
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.program_number">
            <summary>
            程序号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.code">
            <summary>
            工单号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.quantity">
            <summary>
            订单数量
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.delivery_time">
            <summary>
            交付时间
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.create_time">
            <summary>
            添加时间
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.producted_number">
            <summary>
            已生产数量
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.nok_number">
            <summary>
            NOK数量
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.finish_time">
            <summary>
            计划完成时间
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.product_code">
            <summary>
            产品编号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.partnumber">
            <summary>
            料号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.ordernumber">
            <summary>
            订单号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.workordertype">
            <summary>
            工单类型
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.autogenerate">
            <summary>
            是否自动生成序号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Entities.siger_project_product_plan.source">
            <summary>
            1: 手动添加 2：Excel导入 3：ERP对接
            </summary>
        </member>
        <member name="M:Siger.Middlelayer.DncRepository.Repositories.Interface.ISigerProjectDncUserPowerRepository.CheckPower(System.Int32)">
            <summary>
            /// <summary>
            判断用户是否具有管理员权限或全部操作权限
            </summary>
            <param name="userId"></param>
            <returns></returns>
            </summary>
        </member>
        <member name="M:Siger.Middlelayer.DncRepository.Repositories.SigerProjectDncUserPowerRepository.AddPower(System.Int32,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32,System.String)">
            <summary>
            
            </summary>
            <param name="projectId"></param>
            <param name="userId">登录人员id</param>
            <param name="mid"></param>
            <param name="add_power"></param>
            <param name="del_power"></param>
            <param name="check_power"></param>
            <param name="all_power"></param>
            <param name="remark"></param>
            <returns></returns>
        </member>
        <member name="M:Siger.Middlelayer.DncRepository.Repositories.SigerProjectDncUserPowerRepository.EditPower(System.Int32,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32,System.String,System.Int32)">
            <summary>
            修改权限
            </summary>
            <param name="userId"></param>
            <param name="powerid"></param>
            <param name="add_power"></param>
            <param name="del_power"></param>
            <param name="check_power"></param>
            <param name="all_power"></param>
            <param name="remark"></param>
            <param name="projectId"></param>
        </member>
        <member name="M:Siger.Middlelayer.DncRepository.Repositories.SigerProjectDncUserPowerRepository.DelPower(System.Int32,System.Int32)">
            <summary>
            删除用户权限
            </summary>
            <param name="userId"></param>
            <param name="powerid"></param>
        </member>
        <member name="M:Siger.Middlelayer.DncRepository.Repositories.SigerProjectDncUserPowerRepository.GetCheckPower(System.Int32)">
            <summary>
            获取指定用户的权限
            </summary>
            <param name="userId"></param>
            <returns></returns>
        </member>
        <member name="M:Siger.Middlelayer.DncRepository.Repositories.SigerProjectDncUserPowerRepository.GetPowerLists(System.Int32,System.Nullable{System.Int32},System.Int32,System.Int32,System.Int32@)">
            <summary>
            权限设置列表
            </summary>
            <param name="projectId"></param>
            <param name="sectionID"></param>
            <param name="page"></param>
            <param name="pagesize"></param>
            <param name="totalCount"></param>
        </member>
        <member name="M:Siger.Middlelayer.DncRepository.Repositories.SigerProjectDncUserPowerRepository.CheckPower(System.Int32)">
            <summary>
            判断用户是否具有管理员权限或全部操作权限
            </summary>
            <param name="userId"></param>
            <returns></returns>
        </member>
        <member name="M:Siger.Middlelayer.DncRepository.Repositories.SigerProjectDncUserPowerRepository.CheckHasPower(System.Int32)">
            <summary>
            用户是普通用户，没有管理权限
            </summary>
            <param name="userId"></param>
            <returns></returns>
        </member>
        <member name="M:Siger.Middlelayer.DncRepository.Repositories.SigerProjectDncUserPowerRepository.GetPowerUserInfo(System.Int32,System.Int32)">
            <summary>
            查询人员权限信息
            </summary>
            <param name="projectId"></param>
            <param name="powerid"></param>
            <returns></returns>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequesetUploadProgramPost.work_order">
            <summary>
            工单号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestCheckProgramPost.programid">
            <summary>
            程序id
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestCheckProgramPost.programcode">
            <summary>
            程序号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestCheckProgramPost.check_remark">
            <summary>
            审核备注
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestCheckProgramPost.num">
            <summary>
            1通过，2不通过
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestCheckProgramPosts.programids">
            <summary>
            程序
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestCheckProgramPosts.check_remark">
            <summary>
            审核备注
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestCheckProgramPosts.num">
            <summary>
            1通过，2不通过
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestCheckPrograms.programids">
            <summary>
            程序
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestCheckPrograms.check_remark">
            <summary>
            审核备注
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestCheckPrograms.num">
            <summary>
            1通过，2不通过
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestCheckProgramsNew.programids">
            <summary>
            程序
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestCheckProgramsNew.check_remark">
            <summary>
            审核备注
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestCheckProgramsNew.num">
            <summary>
            1通过，2不通过
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestDownloadProgramList.program_code">
            <summary>
            程序号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestDownloadProgramList.productid">
            <summary>
            产品id
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestDownloadProgramList.file_name">
            <summary>
            文件名称
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestDownloadProgramList.toll_gate_code">
            <summary>
            路卡号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestDownloadProgramList.process_code">
            <summary>
            工序号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestDownloadProgramList.machine_code">
            <summary>
            设备编码
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestDownloadProgramList.program_version">
            <summary>
            程序版本
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestEditProgram.programid">
            <summary>
            程序id
            </summary>
        </member>
        <member name="F:Siger.Middlelayer.DncRepository.Request.RequestEditProgram.file_url">
            <summary>
            文件路径
            </summary>
        </member>
        <member name="F:Siger.Middlelayer.DncRepository.Request.RequestEditProgram.file_name">
            <summary>
            文件名称
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestEditProgram.file_size">
            <summary>
            文件大小
            </summary>
        </member>
        <member name="F:Siger.Middlelayer.DncRepository.Request.RequestEditProgram.programcode">
            <summary>
            程序号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestEditProgram.productid">
            <summary>
            产品id
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestEditProgram.checkmid">
            <summary>
            审核人员mid
            </summary>
        </member>
        <member name="F:Siger.Middlelayer.DncRepository.Request.RequestEditProgram.createremark">
            <summary>
            审核备注
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestReturnProgram.gateNo">
            <summary>
            路卡号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestReturnProgram.program">
            <summary>
            程序号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestReturnProgram.productName">
            <summary>
            产品名称
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestReturnProgram.filename">
            <summary>
            文件夹名
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestReturnProgram.checkmid">
            <summary>
            审核人mid
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestReturnProgram.checktime">
            <summary>
            审核时间
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestReturnProgram.check_remark">
            <summary>
            审核备注
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestReturnProgram.checkinfo">
            <summary>
            审核结果1通过2不通过
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestReturnProgram.checkstatus">
            <summary>
            审核状态1待审核2已审核3被拒绝
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestReturnPrograms.program">
            <summary>
            程序号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Request.RequestReturnPrograms.productName">
            <summary>
            产品名称
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Response.ResponseGetDncMachineInfo.location">
            <summary>
            设备位置
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Response.ResponseGetDncMachineInfo.machinestatus">
            <summary>
            设备状态 调试 空闲 运行 报警 
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Response.ResponseGetDncMachineInfo.workorder">
            <summary>
            工单号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Response.ResponseGetDncMachineInfo.drwano">
            <summary>
            图纸号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Response.ResponseGetDncMachineInfo.workproccess">
            <summary>
            工序名称
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Response.ResponseGetDncMachineInfo.proccesscode">
            <summary>
            程序号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Response.ResponseGetDncMachineInfo.attribute">
            <summary>
            1正常设备2串口设备3ftp设备4无系统设备
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Response.ResponseUserPowerInfo.mid">
            <summary>
            
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Response.ResponseUserPowerInfo.add_power">
            <summary>
            添加权限，默认为0
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Response.ResponseUserPowerInfo.del_power">
            <summary>
            删除权限，默认为0
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Response.ResponseUserPowerInfo.check_power">
            <summary>
            审核权限，默认为0
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Response.ResponseUserPowerInfo.all_power">
            <summary>
            超级管理员，默认为0
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Response.ResponseUserPowerInfo.createtime">
            <summary>
            创建时间
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Response.ResponseUserPowerInfo.createmid">
            <summary>
            创建人
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Response.ResponseUserPowerInfo.remark">
            <summary>
            备注
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.DncRepository.Response.ResponseUserPowerInfo.projectid">
            <summary>
            
            </summary>
        </member>
    </members>
</doc>
